commit 868371e673de074565b5340f81049eb61d070b07
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Sat Sep 24 08:38:31 2022

    aarch64: testsuite: disable stack protector for auto-init-7.c
    
    The test scans for "const_int 0" in the RTL dump, but stack protector
    can produce more "const_int 0".  To avoid a failure with
    --enable-default-ssp, disable stack protector for this.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/aarch64/auto-init-7.c (dg-options): Add
            -fno-stack-protector.
    
    (cherry picked from commit 4c59cfc4a4da579d60bfd82404e3ff51c72aca79)

diff --git a/gcc/testsuite/gcc.target/aarch64/auto-init-7.c b/gcc/testsuite/gcc.target/aarch64/auto-init-7.c
index ac27fbe92f4..fde6e568532 100644
--- a/gcc/testsuite/gcc.target/aarch64/auto-init-7.c
+++ b/gcc/testsuite/gcc.target/aarch64/auto-init-7.c
@@ -1,6 +1,6 @@
 /* Verify zero initialization for array, union, and structure type automatic variables.  */
 /* { dg-do compile } */
-/* { dg-options "-ftrivial-auto-var-init=zero -fdump-rtl-expand" } */
+/* { dg-options "-ftrivial-auto-var-init=zero -fdump-rtl-expand -fno-stack-protector" } */
 
 struct S
 {

